Loading...
Searching...
No Matches
oval_component_iterator Struct Reference
OVAL » OVALDEF

`#include <oval_definitions.h>`

## Public Member Functions

Iterators
OSCAP_API bool | oval_component_iterator_has_more (struct oval_component_iterator *)
| Return true if the iterator is not exhausted.
OSCAP_API struct oval_component * | oval_component_iterator_next (struct oval_component_iterator *)
| return the next instance of Oval_component.
OSCAP_API void | oval_component_iterator_free (struct oval_component_iterator *)
| Free the iterator.
OSCAP_API int | oval_component_iterator_remaining (struct oval_component_iterator *)
| How many remains.

## Detailed Description

See also
  oval_component_get_function_components

The documentation for this struct was generated from the following file:

- oval_definitions.h